{% extends "@admin/layout.twig" %}
{% block head %}
    <title>App | Admin page</title>

    <style>
        tbody tr.selected {
            background-color: #f7f7f7;
        }
        tbody tr.selected:hover {
            background-color: #f3f3f3;
        }
    </style>
{% endblock %}

{% block title %}
    Guests
{% endblock %}


{% block content %}
    <div class="uk-flex uk-grid-collapse uk-margin-small uk-flex-center@m" uk-grid>
        <div class="uk-width-1-1 uk-flex uk-margin-small-bottom">
            <div class="uk-width-1-2"></div>
            <div class="uk-width-1-2">
                <form class="uk-search uk-float-right uk-search-default">
                    <span class="uk-search-icon-flip" uk-search-icon></span>
                    <label for="search"></label>
                    <input id="search" class="uk-search-input" type="search" placeholder="Search...">
                </form>
            </div>
        </div>
        <div class="uk-width-1-1@l">
            <table id="guests" class="uk-table uk-table-hover ">
                <thead>
                <tr>
                    <th class="uk-width-small">id</th>
                    <th>User Agent</th>
                    <th>IP</th>
                    <th>Time</th>
                    <th>Referrer</th>
                    <th>User id</th>
                </tr>
                </thead>
            </table>
        </div>
        <ul class="uk-pagination">
            <li><a id="previous" ><span class="uk-margin-small-right" uk-pagination-previous></span> Previous</a></li>
            <li class="uk-margin-auto-left"><a id="next" >Next <span class="uk-margin-small-left" uk-pagination-next></span></a></li>
        </ul>
    </div>
{% endblock %}


{% block script %}
    <script>
        $(document).ready(function() {
            let csrfName = '{{csrf.name}}';
            let csrfValue = '{{csrf.value}}';

            let table = $('#guests').DataTable({
                lengthChange: false,
                paging:true,
                processing: true,
                serverSide: true,
                "dom": '<t><i>',
                ajax: {
                    url: "{{ path_for('admin.api.guests.get') }}",
                    type: "GET"
                },
                columns: [
                    { "data": "id" },
                    { "data": "user_agent" },
                    { "data": "ip" },
                    { "data": "time" },
                    { "data": "referrer" },
                    { "data": "user_id" }
                ]
            });
            $('#search').on( 'keyup', function () {
                table.search( this.value ).draw();
                console.debug(this.value)
            });
            $('#next').on( 'click', function () {
                table.page( 'next' ).draw( 'page' );
            } );

            $('#previous').on( 'click', function () {
                table.page( 'previous' ).draw( 'page' );
            } );
            $('#example').on( 'order.dt', function () {
                changeIcons();
            } );
            function changeIcons() {
                $('th').each(function () {
                    let children = $(this).children('.uk-icon');
                    if ($(this).hasClass('sorting_asc')){
                        UIkit.icon($(this).children('span'),{
                            'icon': 'triangle-up'
                        });
                    } else if ($(this).hasClass('sorting_desc')){
                        UIkit.icon($(this).children('span'),{
                            'icon': 'triangle-down'
                        });
                    } else if ($(this).hasClass('sorting')){
                        UIkit.icon($(this).children('span'),{
                            'icon': 'minus'
                        });
                    }
                })
            }
            $('table.dataTable thead th,table.dataTable tfoot th').append('<span></span>');
        } );
    </script>
{% endblock %}


